Convertible.StaticTests
Date: 2015-09-10

org.atinject.tck.auto

## Class Convertible.StaticTests

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.atinject.tck.auto.Convertible.StaticTests

- All Implemented Interfaces:
    junit.framework.Test
  Enclosing class:
    Convertible

      public static class Convertible.StaticTests
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Convertible.StaticTests()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testStaticFieldInjectionWithProviders()`
    `void` | `testStaticFieldInjectionWithValues()`
    `void` | `testStaticFieldsInjectedBeforeMethods()`
    `void` | `testStaticMethodInjectionWithProviders()`
    `void` | `testStaticMethodInjectionWithValues()`
    `void` | `testSubtypeStaticFieldsInjected()`
    `void` | `testSubtypeStaticMethodsInjected()`
    `void` | `testSupertypeStaticFieldsInjected()`
    `void` | `testSupertypeStaticMethodsInjected()`
    `void` | `testSupertypeStaticMethodsInjectedBeforeSubtypeStaticFields()`
    `void` | `testSupertypeStaticMethodsInjectedBeforeSubtypeStaticMethods()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Convertible.StaticTests

          public Convertible.StaticTests()

  - ### Method Detail

    - #### testSubtypeStaticFieldsInjected

          public void testSubtypeStaticFieldsInjected()

    - #### testSubtypeStaticMethodsInjected

          public void testSubtypeStaticMethodsInjected()

    - #### testSupertypeStaticFieldsInjected

          public void testSupertypeStaticFieldsInjected()

    - #### testSupertypeStaticMethodsInjected

          public void testSupertypeStaticMethodsInjected()

    - #### testStaticFieldInjectionWithValues

          public void testStaticFieldInjectionWithValues()

    - #### testStaticMethodInjectionWithValues

          public void testStaticMethodInjectionWithValues()

    - #### testStaticFieldsInjectedBeforeMethods

          public void testStaticFieldsInjectedBeforeMethods()

    - #### testSupertypeStaticMethodsInjectedBeforeSubtypeStaticFields

          public void testSupertypeStaticMethodsInjectedBeforeSubtypeStaticFields()

    - #### testSupertypeStaticMethodsInjectedBeforeSubtypeStaticMethods

          public void testSupertypeStaticMethodsInjectedBeforeSubtypeStaticMethods()

    - #### testStaticFieldInjectionWithProviders

          public void testStaticFieldInjectionWithProviders()

    - #### testStaticMethodInjectionWithProviders

          public void testStaticMethodInjectionWithProviders()